'*******************************************************************************
'
'                            SSD1289 LCD Test
'
'                            resolution 240x320
'
'*******************************************************************************

  $regfile = "m2560def.dat"
  $crystal = 16000000
  $framesize = 512
  $hwstack = 512
  $swstack = 512


  $baud = 500000    '  Bootloader Bascom,  500 000 

'--------------------------- Pin Configuration ---------------------------------

  Data_disp_low Alias Portc : Config Data_disp_low = Output       'DB0 - DB7
  Data_disp_high Alias Porta : Config Data_disp_high = Output       'DB8 - DB15
  Rs_disp Alias Portd.7 : Config Rs_disp = Output       'Command/Data pin
  Wr_disp Alias Portg.2 : Config Wr_disp = Output       'Write pin
  Res_disp Alias Portg.0 : Config Res_disp = Output       'Reset pin
  Res_disp = 1

  Cs_disp Alias Portg.1 : Config Cs_disp = Output : Cs_disp = 0

'-------------------------------- Library --------------------------------------

  Config Submode = New : $include " Bascom\SSD1289 16bit library.inc"       'Include library
  Display_init      ' Initialize Display

'  Dim A As Word , B As Word , C As Word , D As Word ,

  Defword 

'===============================================================================
  _:


     Lcd_clear Black

     Lcd_circle 159 , 119 , 100 , Red
     Wait 1
     Lcd_fill_circle 159 , 119 , 100 , Green
     Wait 1


     Lcd_clear Black

     Lcd_box 40 , 40 , 180 , 180 , Red
     Wait 1
     Lcd_fill_box 40 , 40 , 180 , 180 , Green
     Wait 1


     Lcd_clear Black

     For  = 1 To 1000
         _x = Rnd(319)
         _y = Rnd(239)
         Lcd_set_pixel _x , _y , Red
         Waitms 1
     Next 

     For  = 1 To 1000
         _x = Rnd(319)
         _y = Rnd(239)
         Lcd_set_pixel _x , _y , Green
         Waitms 1
     Next 

     For  = 1 To 1000
         _x = Rnd(319)
         _y = Rnd(239)
         Lcd_set_pixel _x , _y , Yellow
         Waitms 1
     Next 

     Wait 1


      Gosub _
      Wait 2

      Gosub _
      Wait 2


  Goto _
 End
'===============================================================================




'===============================================================================
  _:
'-------------------------------------------------------------------------------

       Lcd_clear Black

       _x = 0
       _y = 319

       For  = 0 To 319
           Select Case 
               Case 0 To 45 : Lcd_line _x , 0 , _y , 239 , Red
               Case 45 To 90 : Lcd_line _x , 0 , _y , 239 , Orange
               Case 90 To 135 : Lcd_line _x , 0 , _y , 239 , Yellow
               Case 135 To 180 : Lcd_line _x , 0 , _y , 239 , Green
               Case 180 To 225 : Lcd_line _x , 0 , _y , 239 , Blue
               Case 225 To 270 : Lcd_line _x , 0 , _y , 239 , Blueviolet
               Case 270 To 319 : Lcd_line _x , 0 , _y , 239 , Violet
           End Select       ' Select Case 
           Incr _x
           Decr _y
       Next 




       _x = 319
       _y = 239

       For  = 1 To 239
           Select Case 
               Case 0 To 45 : Lcd_line 0 , _y , 319 ,  , Red
               Case 45 To 90 : Lcd_line 0 , _y , 319 ,  , Orange
               Case 90 To 135 : Lcd_line 0 , _y , 319 ,  , Yellow
               Case 135 To 180 : Lcd_line 0 , _y , 319 ,  , Green
               Case 180 To 225 : Lcd_line 0 , _y , 319 ,  , Blue
               Case 225 To 270 : Lcd_line 0 , _y , 319 ,  , Blueviolet
               Case 270 To 319 : Lcd_line 0 , _y , 319 ,  , Violet
           End Select       ' Select Case 
           Incr _x
           Decr _y
       Next 

'-------------------------------------------------------------------------------
  Return
'===============================================================================



'===============================================================================
  _:
' "!#$%&'( )*+,-./:;<=>?@`_{"
' "|}~[\]"
' "12325678901234567890123456"
' "AaBbCcDdEeFfGgHhIiJjKkLlMm"
' "NnOoPpQqRrSsTtUuVvWwXxYyZz"
' "娸"
' ""
'  ""
'-------------------------------------------------------------------------------



    Restore Font_5x8

    Lcd_clear Black

    Lcd_text "                            58                            " , 0 , 0 , Red , Black
    Lcd_text "                                                   " , 0 , 8 , Red , Black

    Lcd_text "         !#$%&'( )*+,-./:;<=>?@`_{|}~[\]   1232567890         " , 0 , 24 , Green , Black
    Lcd_text "      AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz      " , 0 , 40 , Yellow , Black
    Lcd_text "娸" , 0 , 56 , Green , Black


'===============================================================================

    Restore Font_6x8


    Lcd_text "                       68                      " , 0 , 72 , Red , Black
    Lcd_text "                                        " , 0 , 80 , Red , Black

    Lcd_text "   !#$%&'( )*+,-./:;<=>?@`_{|}~[\]    1232567890   " , 0 , 96 , Green , Black
    Lcd_text "AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz " , 0 , 104 , Yellow , Black
    Lcd_text "娸 " , 0 , 112 , Green , Black
    Lcd_text "" , 0 , 120 , Yellow , Black


'===============================================================================


    Restore Font_8x12

    Lcd_text "                812               " , 0 , 132 , Red , Black
    Lcd_text "                           " , 0 , 144 , Red , Black


    Lcd_text "   !#$%&'( )*+,-./:;<=>?@`_{|}~[\]    " , 0 , 156 , Green , Black
    Lcd_text "              01232567890               " , 0 , 168 , Yellow , Black

    Lcd_text "AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTt" , 0 , 180 , Green , Black
    Lcd_text "UuVvWwXxYyZz " , 0 , 192 , Yellow , Black


    Lcd_text "娸" , 0 , 204 , Green , Black
    Lcd_text "" , 0 , 216 , Yellow , Black


    Wait 2



'===============================================================================

    Restore Font_12x16       '_color

    Lcd_clear Black

    Lcd_text "        1216        " , 0 , 16 , Red , Black
    Lcd_text "             " , 0 , 34 , Red , Black


    Lcd_text "!#$%&'( )*+,-./:;<=>?@`_{" , 0 , 70 , Green , Black
    Lcd_text "         |}~[\]          " , 0 , 88 , Yellow , Black
    Lcd_text "        0123256789        " , 0 , 106 , Green , Black
    Lcd_text "AaBbCcDdEeFfGgHhIiJjKkLlMm" , 0 , 124 , Yellow , Black
    Lcd_text "NnOoPpQqRrSsTtUuVvWwXxYyZz" , 0 , 142 , Green , Black
    Lcd_text "娸" , 0 , 160 , Yellow , Black
    Lcd_text "" , 0 , 178 , Green , Black
    Lcd_text "            " , 0 , 196 , Yellow , Black

    Wait 2


'===============================================================================


    Restore Font_25x32

    Lcd_clear Black

    Lcd_text "  2532 " , 0 , 0 , Red , Black
    Lcd_text " " , 0 , 32 , Red , Black


    Lcd_text "!#$%&'( )*+,-" , 0 , 64 , Green , Black
    Lcd_text "./:;<=>?@`_{" , 0 , 96 , Yellow , Black
    Lcd_text "   |}~[\]   " , 0 , 128 , Green , Black
    Lcd_text " 0123256789  " , 0 , 160 , Yellow , Black
    Lcd_text "AaBbCcDdEeFf " , 0 , 192 , Green , Black

    Wait 2

    Lcd_clear Black

    Lcd_text "GgHhIiJjKkLl " , 0 , 0 , Yellow , Black
    Lcd_text "MmNnOoPpQqRr " , 0 , 32 , Green , Black
    Lcd_text "SsTtUuVvWwXx " , 0 , 64 , Yellow , Black
    Lcd_text "YyZz " , 0 , 96 , Green , Black
    Lcd_text "娸 " , 0 , 128 , Yellow , Black
    Lcd_text " " , 0 , 160 , Green , Black
    Lcd_text " " , 0 , 192 , Yellow , Black

    Wait 2

    Lcd_clear Black

    Lcd_text " " , 0 , 32 , Green , Black
    Lcd_text "   " , 0 , 64 , Yellow , Black

    Wait 2

'===============================================================================



    Lcd_clear Black

    Restore Font_seg_8x16
    Lcd_text "0123456789  :;<$*+-" , 0 , 32 , Yellow , Black

    Restore Font_seg_10x16
    Lcd_text "0123456789  :;<$*+-" , 0 , 64 , Green , Black

    Restore Font_seg_16x32
    Lcd_text "0123456789  :;<$*+-" , 0 , 96 , Yellow , Black

    Restore Font_seg_16x32_2
    Lcd_text "0123456789  :;<$*+-" , 0 , 150 , Green , Black


    Wait 2
'-------------------------------------------------------------------------------
  Return
'===============================================================================




'===============================================================================
  :
'-------------------------------------------------------------------------------
    $include "\Font_5x8.font"
    $include "\Font_6x8.font"
    $include "\Font_8x12.font"
    $include "\Font_Seg_8x16.font"
    $include "\Font_Seg_10x16.font"
    $include "\Font_12x16.font"
    $include "\Font_Seg_16x32.font"
    $include "\Font_Seg_16x32_2.font"
    $include "\Font_25x32.font"
'===============================================================================